> For the complete documentation index, see [llms.txt](https://docs.fulfillmenttools.com/documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fulfillmenttools.com/documentation/getting-started/recordable-attributes.md).

# Recordable attributes

Recordable attributes enable the addition of specific information to line items during operational processes. They are inherited when creating subsequent entities within fulfillmenttools.

If a line item of a pick job has a recordable attribute, it's inherited by the corresponding pack job and, under certain circumstances, handover job line items. Handover job line items can also inherit recordable attributes from parcel line items.

Recordable attributes can be added when an order is created for inheritance by all subsequent line items, or they can be defined on listings for inheritance.

{% hint style="info" %}
While article attributes are non-editable after creation, recordable attributes add a value or an entire object to the line item during the corresponding operative process. For more information, see [article attributes](/documentation/by-pillar/global-inventory-hub/articles/article-attributes.md).
{% endhint %}

## Recordable attribute example

In the example below, we'll add a recordable attribute to a pick job.

We need to use the create pick job endpoint:

```http
POST https://ocff-{PROJECT_ID}.fulfillmenttools.com/api/pickjobs
```

Then, within the `pickLineItems` array, we can add the `recordableAttributes` object.

```json
...
{
    "pickLineItems": {
        "recordableAttributes": {
            "keyLocalized": {
                "de_DE": "Herkunftsland",
                "en_US": "Country of Origin"
            },    
            "value": "Korea, Republic of",
            "group": "general",
            "recordingRule": "MANDATORY"           
        }
    }
...
}
```

The `value` field contains the data that can be added or modified during different operative processes.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.fulfillmenttools.com/documentation/getting-started/recordable-attributes.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
